package com.os.ems.report.mapper;


import com.os.ems.report.domain.EnergyStatisticalReport;
import com.os.ems.report.domain.PeaksValleysConsumptionReport;

import java.util.List;
import java.util.Map;

/**
 * 能源报表Mapper接口
 * 
 * @author Yinq
 * @date 2024-05-22
 */
public interface EmsReportMapper
{

    /**
     * 统计能耗电报表
     * @param hashMap
     * @return
     */
    List<EnergyStatisticalReport> energyStatisticalDnbReportList(Map hashMap);

    /**
     * 峰平谷耗量报表
     * @param hashMap
     * @return
     */
    List<PeaksValleysConsumptionReport> peaksValleysConsumptionReportList(Map hashMap);
}
